org.eclipse.graphiti.ui.internal.feature

## Class DebugFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.custom.AbstractCustomFeature
    - - org.eclipse.graphiti.ui.internal.feature.DebugFeature

All Implemented Interfaces:
  ICustomFeature, IFeature, IFeatureProviderHolder, IDescription, IName

    public class DebugFeature
    extends AbstractCustomFeature

### Field Summary

Fields
`static int` `TYPE_DUMP_ALL`
`static int` `TYPE_DUMP_EDIT_PART_DATA`
`static int` `TYPE_DUMP_FIGURE_DATA`
`static int` `TYPE_DUMP_FIGURE_INCL_CONNECTION_DATA`
`static int` `TYPE_DUMP_PICTOGRAM_DATA`
`static int` `TYPE_REFRESH`

### Constructor Summary

Constructors
Constructor and Description
`DebugFeature(IFeatureProvider fp, int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute(ICustomContext context)` Can execute.
`void` `execute(ICustomContext context)` Execute.
`String` `getName()` Gets the name.

### Methods inherited from class org.eclipse.graphiti.features.custom.AbstractCustomFeature

`canExecute, execute, getDescription, getImageId, isAvailable`

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`canUndo, getFeatureProvider, hasDoneChanges, manageFont, manageFont, setProgressCallback, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Field Detail

#### TYPE_DUMP_PICTOGRAM_DATA

    public static final int TYPE_DUMP_PICTOGRAM_DATA

See Also:
  Constant Field Values

#### TYPE_DUMP_FIGURE_DATA

    public static final int TYPE_DUMP_FIGURE_DATA

See Also:
  Constant Field Values

#### TYPE_DUMP_EDIT_PART_DATA

    public static final int TYPE_DUMP_EDIT_PART_DATA

See Also:
  Constant Field Values

#### TYPE_DUMP_ALL

    public static final int TYPE_DUMP_ALL

See Also:
  Constant Field Values

#### TYPE_REFRESH

    public static final int TYPE_REFRESH

See Also:
  Constant Field Values

#### TYPE_DUMP_FIGURE_INCL_CONNECTION_DATA

    public static final int TYPE_DUMP_FIGURE_INCL_CONNECTION_DATA

See Also:
  Constant Field Values

### Constructor Detail

#### DebugFeature

    public DebugFeature(IFeatureProvider fp,
                        int type)

### Method Detail

#### execute

    public void execute(ICustomContext context)

Description copied from interface: `ICustomFeature`
Execute.

Parameters:
  `context` - the context

#### canExecute

    public boolean canExecute(ICustomContext context)

Description copied from interface: `ICustomFeature`
Can execute.

Specified by:
  `canExecute` in interface `ICustomFeature`
Overrides:
  `canExecute` in class `AbstractCustomFeature`
Parameters:
  `context` - the context
Returns:
  true, if successful

#### getName

    public String getName()

Description copied from interface: `IName`
Gets the name.

Specified by:
  `getName` in interface `IName`
Overrides:
  `getName` in class `AbstractFeature`
Returns:
  the name